'use strict';

const assert = require('assert');

const methods = [
  'create',
  'get',
  'set',
  'remove',
  'close'
];

function testInterface(driver) {
  let tested = 0;
  for (let f of methods) {
    let e = `${driver.name} has not implemented ${f}`;
    assert.ok(typeof driver[f] === 'function', e);
    tested++;
  }
  return tested;
}

module.exports = { testInterface };
