'use strict';

module.exports = function (gishdo) {
  return {
    getTaskCount: async function () {
      let Task = gishdo.model('task');
      let query = { where: { sprintId: this.id } };
      this.taskCount = await Task.get(query).then(arr => arr.length);
    },
    populate: async function () {
      let Task = gishdo.model('task');
      let Note = gishdo.model('note');
      this.tasks = await Task.get({ where: { sprintId: this.id } });
      this.notes = await Note.get({ where: { sprintId: this.id } });
    }
  };
};
