'use strict';

module.exports = function (gishdo) {
  return {
    populate: async function (attributes) {
      attributes = attributes || ['name'];
      const Sprint = gishdo.model('sprint');
      const Project = gishdo.model('project');
      const Note = gishdo.model('note');
      this.s = this.sprintId ? await Sprint.get({
        select: attributes,
        where: { id: this.sprintId }
      }) : null;

      this.p = this.projectId ? await Project.get({
        select: attributes,
        where: { id: this.projectId }
      }) : null;

      attributes = ['text', 'createdAt'];
      this.n = await Note.get({
        select: attributes,
        where: { taskId: this.id }
      });
    }
  };
};
