'use strict';

module.exports = {
  id: {
    type: Number,
    allowNull: false
  },
  name: {
    type: String,
    allowNull: false
  },
  description: {
    type: String,
    allowNull: false
  },
  completed: {
    type: Date
  },
  priority: {
    type: Number,
    defaultValue: 4
  },
  due: {
    type: Date
  },
  tasks: {
    type: Object
  },
  notes: {
    type: Object
  },
  taskCount: {
    type: Object
  },
  createdAt: {
    type: Date,
    defaultValue: () => { return new Date(); }
  },
  updatedAt: {
    type: Date,
    defaultValue: () => { return new Date(); }
  }
};
