'use strict';

const { readFileSync } = require('fs');
const { HOME } = process.env;
const gishdoPath = `${HOME}/.gishdo/config.json`;

module.exports = function() {
  let fileStr = readFileSync(gishdoPath, 'utf8');
  let json = JSON.parse(fileStr);
  if (json && json.gishdoOptions) {
    return json.gishdoOptions.apikey;
  }
};
