'use strict';

module.exports = function interactiveCommand(command) {
  const { structure } = require(`../commands/${command}`);
  const { splash, splashTime, main } = structure;
  if (splash) {
    console.clear();
    if (typeof splash === 'string') {
      console.log(splash);
    } else if (typeof splash === 'function') {
      console.log(splash());
    }
    setTimeout(main, splashTime);
  }
};
