'use strict';

module.exports = {
  id: {
    type: Number,
    allowNull: false
  },
  text: {
    type: String,
    allowNull: false
  },
  projectId: {
    type: Number,
    ref: 'projects',
    foreignField: 'id'
  },
  sprintId: {
    type: Number,
    ref: 'sprints',
    foreignField: 'id'
  },
  taskId: {
    type: Number,
    ref: 'tasks',
    foreignField: 'id'
  },
  createdAt: {
    type: Date,
    defaultValue: () => { return new Date(); }
  },
  updatedAt: {
    type: Date,
    defaultValue: () => { return new Date(); }
  }
};
